
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: python: backport ARM libffi closure support

This patch backports ARM libffi closure support to python 2.5's
version of libffi, to enable building the ctype module.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/python.spec
===================================================================
--- SPECS.orig/python.spec
+++ SPECS/python.spec
@@ -20,7 +20,7 @@
 Summary: An interpreted, interactive, object-oriented programming language.
 Name: %{python}
 Version: 2.5.1
-Release: 15%{?dist}
+Release: 15%{?dist}.fa1
 License: Python Software Foundation License v2 
 Group: Development/Languages
 Provides: python-abi = %{pybasever}
@@ -40,6 +40,7 @@ Patch9: python-2.5-tkinter.patch
 Patch10: python-2.5.1-binutils-no-dep.patch
 Patch11: python-2.5.1-codec-ascii-tolower.patch
 Patch12: python-2.5.1-pysqlite.patch
+Patch13: python-2.5.1-libffi-arm-closures.patch
 
 
 # upstreamed
@@ -190,6 +191,8 @@ user interface for Python programming.
 %patch11 -p1 -b .ascii-tolower
 %patch12 -p1 -b .pysqlite-2.3.3-minimal
 
+%patch13 -p1 -b .libffi-arm-closures
+
 %ifarch alpha ia64
 # 64bit, but not lib64 arches need this too...
 %patch101 -p1 -b .lib64-regex
